## consolekit 0.4.4

=== debian/changelog ===
consolekit (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Feb 2011 21:06:58 +0100

consolekit (0.4.3-2) unstable; urgency=low

  * Add 01-retry-console-open-on-EIO.patch: As reported in LP: #544139,
    ConsoleKit sometimes fails to track the active VT. This particular case
    was tracked down to a race condition that happens if you try to open
    /dev/console while the current TTY is currently being closed. This yields
    an -EIO error, in which case CK should just try again. Thanks Colin Watson
    for the patch!

 -- Martin Pitt <mpitt@debian.org>  Sat, 20 Nov 2010 18:17:28 +0100

consolekit (0.4.3-1) unstable; urgency=low

  * New upstream release.
    - The VT_WAITEVENT mechanism proved to be racy and e.g. caused events
      being lost on suspend/resume. So this change was reverted again.
      (Closes: #600756)
  * Remove patches
    - d/p/01-fallback_no_vt_waitevent.patch (obsolete)
    - d/p/80-gnukfreebsd_support_configure.ac.patch (merged upstream)
    - d/p/debian/patches/99-autoreconf.patch (use dh-autoreconf instead)
  * Use dh-autoreconf to update the build system
    - Add Build-Depends on dh-autoreconf.
    - Run autoreconf dh addon in debian/rules.
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Drop quilt from Build-Depends.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk include.
    - Remove debian/README.source.
  * Move from cdbs to dh
    - Drop Build-Depends on cdbs.
    - Bump Build-Depends on debhelper to (>= 7.0.50~) for override targets.
    - Convert debian/rules to use dh.
  * debian/libck-connector-dev.install
    - Install D-Bus interfaces files.
  * Install systemd unit files.
  * debian/consolekit.docs
    - Install AUTHORS, NEWS, README and TODO. cdbs did this automatically for
      us, with dh we have to list them explicitly.

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Nov 2010 08:40:58 +0100

consolekit (0.4.2-1) unstable; urgency=low

  * New upstream release.
    - Use VT_WAITEVENT ioctl to monitor VT switches to avoid spawning a thread
      for each possible VT. This requires a Linux kernel 2.6.32 or newer.
      (Closes: #526499)
  * debian/control
    - Bump Standards-Version to 3.9.1.
    - Use architecture wildcard kfreebsd-any for the libkvm-dev Build-Depends.
    - Bump Build-Depends on libglib2.0-dev to (>= 2.14.0) for GRegex.
  * Remove patches which have been merged upstream.
    - debian/patches/01-dont_daemonize_when_activated.patch
    - debian/patches/02-dont_take_bus_name_until_ready.patch
    - debian/patches/04-dont_fail_with_invalid_seats_file.patch
  * debian/patches/01-fallback_no_vt_waitevent.patch
    - Add runtime check for VT_WAITEVENT and fallback to old behaviour of
      creating a thread for every possible VT.
  * debian/patches/82-hurd_support.patch
    - Updated for 0.4.2.
    - Check return value of malloc() to correctly handle OOM situations.
      Thanks Pino Toscano for the updated patch.

 -- Michael Biebl <biebl@debian.org>  Tue, 21 Sep 2010 05:52:04 +0200

consolekit (0.4.1-4) unstable; urgency=low

  [ Martin Pitt ]
  * debian/90consolekit: gdm already creates a CK session for us, so do not
    run the expensive D-Bus calls if we have $GDMSESSION.
  * Bump Standards-Version to 3.8.4 (no changes necessary).

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Feb 2010 23:47:23 +0100

consolekit (0.4.1-3) unstable; urgency=low

  [ Martin Pitt ]
  * Bump Breaks to udev to << 147, since 147-1 is in unstable now.

  [ Michael Biebl ]
  * debian/patches/01-dont_daemonize_when_activated.patch
    - Don't daemonize when being activated by D-Bus. D-Bus service activation
      does not (yet) handle forking daemons properly.
      Patch pulled from upstream Git.
  * debian/patches/04-defer_daemonizing.patch
    - Drop this patch, obsoleted by 01-dont_daemonize_when_activated.patch.
  * debian/patches/02-dont_take_bus_name_until_ready.patch
    - Claim bus name after registering the manager object. This fixes a race
      when being activated by a method call on the manager object, where
      ConsoleKit gets started but the method call fails. (Closes: #561592)
      Patch pulled from upstream Git.
  * debian/patches/04-dont_fail_with_invalid_seats_file.patch
    - Don't segfault when reading an invalid seats file and
      ck_seat_new_from_file returns NULL. (Closes: #561106)

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Jan 2010 13:48:08 +0100

consolekit (0.4.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Nov 2009 00:12:42 +0100

consolekit (0.4.1-1) experimental; urgency=low

  * New upstream release.
  * The 'session_active_changed' type has been removed for session.d/
    callouts. Tools relying on that need to be ported to the new seat.d/
    infrastructure and use 'seat_active_session_changed' instead.
    This breaks older versions of udev-acl, so add a Breaks: udev (<< 147~).

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Nov 2009 17:38:31 +0100

consolekit (0.3.1-2) unstable; urgency=low

  [ Martin Pitt ]
  * debian/consolekit.preinst: Remove obsolete 90-console-kit conffile for
    upgrades from Ubuntu 8.04. (Can be dropped after 10.04 LTS release.)

  [ Michael Biebl ]
  * debian/patches/82-hurd_support.patch
    - Add support for GNU/Hurd. (Closes: #552393)
      The patch adds a sysdeps-gnu backend, which implements the process
      management using Hurd's libps, the *ttyent API for the part of the
      console implementation and the rest using similar (valid) approaches of
      other backends.
      Also, it fixes the PATH_MAX usage in pam-ck-connector/pam-ck-connector.c
      by using a variable-length malloc'ed buffer.
      Thanks to Pino Toscano for the patch.
  * debian/patches/99-autoreconf.patch
    - Run autoreconf as 82-hurd_support.patch changes the build system.
  * debian/patches/81-gnukfreebsd_support_pseudo_run_autoconf.patch

