=== debian/control ===
Source: consolekit
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 autotools-dev,
 pkg-config,
 libdbus-glib-1-dev (>= 0.30),
 libglib2.0-dev (>= 2.14.0),
 libx11-dev (>= 1.0.0),
 libkvm-dev [kfreebsd-any],
 xmlto,
 libpam0g-dev,
 libpolkit-gobject-1-dev (>= 0.92),
 zlib1g-dev,
 dh-autoreconf
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-utopia/consolekit.git
Vcs-Browser: http://git.debian.org/?p=pkg-utopia/consolekit.git;a=summary
Homepage: http://www.freedesktop.org/wiki/Software/ConsoleKit

Package: consolekit
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus (>= 1.1.2)
Recommends: libpam-ck-connector
Breaks: udev (<< 147)
Description: framework for defining and tracking users, sessions and seats
 ConsoleKit is a system daemon for tracking what users are logged
 into the system and how they interact with the computer (e.g.
 which keyboard and mouse they use).
 .
 It provides asynchronous notification via the system message bus.
 .
 This package provides the system daemon and tools to interact with it.

Package: libck-connector0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ConsoleKit libraries
 ConsoleKit is a system daemon for tracking what users are logged
 into the system and how they interact with the computer (e.g.
 which keyboard and mouse they use).
 .
 This package provides a convenience library which simplifies the access to
 ConsoleKit.

Package: libck-connector-dev
Section: libdevel
Architecture: any
Depends: libck-connector0 (= ${binary:Version}), ${misc:Depends}, libdbus-1-dev
Description: ConsoleKit development files
 ConsoleKit is a system daemon for tracking what users are logged
 into the system and how they interact with the computer (e.g.
 which keyboard and mouse they use).
 .
 This package provides the development libraries and headers.

Package: libpam-ck-connector
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.0.1-6)
Description: ConsoleKit PAM module
 ConsoleKit is a system daemon for tracking what users are logged
 into the system and how they interact with the computer (e.g.
 which keyboard and mouse they use).
 .
 This package provides a PAM module which can be used for console logins.
 Graphical login managers should talk to ConsoleKit directly.
