## consolekit 0.4.5

=== debian/changelog ===
consolekit (0.4.5-3.1ubuntu2) raring; urgency=low

  * debian/patches/04-long_device_names.patch: allow for device names longer
    than 16 characters.  Thanks to Aleix Conchillo Flaqué for the patch.
    (LP: #1130923)

 -- Brian Murray <brian@ubuntu.com>  Mon, 04 Mar 2013 10:58:51 -0800

consolekit (0.4.5-3.1ubuntu1) raring; urgency=low

  * debian/patches/03-cleanup_console_tags.patch: call g_dir_close() when
    we're done, fixing a small memory leak.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 23 Jan 2013 14:06:31 -0800

consolekit (0.4.5-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include patch by Petr Salinger to ignore empty environments (Closes: #570015)

 -- Christoph Egger <christoph@debian.org>  Mon, 30 Jul 2012 13:57:55 +0200

consolekit (0.4.5-3) unstable; urgency=low

  * Strip debian/tmp/ from .install files.
  * Remove pre-lenny migration code, drop debian/consolekit.preinst.
  * debian/consolekit.docs: Don't install a second copy of the spec file,
    there is already one in libck-connector-dev.
  * Bump debhelper compatibility level to 9 for hardening build flags via
    dpkg-buildflags and multiarch support.
  * Install libck-connector and libpam-ck-connector into multiarch paths and
    mark them as Multi-Arch: same.
  * Tighten dependencies on libck-connector0.
  * Bump Standards-Version to 3.9.3. No further changes.

 -- Michael Biebl <biebl@debian.org>  Wed, 29 Feb 2012 23:04:51 +0100

consolekit (0.4.5-2) unstable; urgency=low

  * Add 00git_truncate_frequent.patch: ck-history: don't truncate --frequent
    output to 8 chars. (Closes: #660171, LP: #476811)
  * debian/README.Debian: Fix grammar, thanks lintian.

 -- Martin Pitt <mpitt@debian.org>  Fri, 24 Feb 2012 10:18:00 +0100

consolekit (0.4.5-1) unstable; urgency=low

  [ Michael Biebl ]
  * Bump Standards-Version to 3.9.2. No further changes.
  * Bump debhelper compatibility level to 8.

  [ Martin Pitt ]
  * New upstream bug fix release.
  * Drop 01-retry-console-open-on-EIO.patch, included upstream.

 -- Martin Pitt <mpitt@debian.org>  Fri, 20 May 2011 12:17:48 +0200
