=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir="\$$(prefix)/lib/ConsoleKit" \
		--enable-pam-module \
		--enable-docbook-docs \
		--with-pid-file=/var/run/console-kit-daemon.pid \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--with-pam-module-dir=/lib/$(DEB_HOST_MULTIARCH)/security

override_dh_auto_install:
	dh_auto_install
	install -m 755 debian/pam-foreground-compat.ck debian/tmp/usr/lib/ConsoleKit/run-session.d/
	install -D -m 644 debian/libpam-ck-connector.pam-auth-update debian/tmp/usr/share/pam-configs/consolekit
