## consolekit 0.4.6

=== debian/changelog ===
consolekit (0.4.6-5) unstable; urgency=medium

  [ Steve Langasek ]
  * 03-cleanup_console_tags.patch: call g_dir_close() when we're done, fixing
    a small memory leak.

  [ Martin Pitt ]
  * Add 04-long_device_names.patch: Allow for device names longer than 16
    characters.  Thanks to Aleix Conchillo Flaqué for the patch.
    (LP: #1130923)
  * Bump Standards-Version to 3.9.5 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Apr 2014 16:37:49 +0200

consolekit (0.4.6-4) unstable; urgency=low

  * Change Maintainer to myself as per Michael's invitation
    (https://lists.debian.org/debian-bsd/2014/02/msg00224.html)
  * Fix VT switching and credential checks on GNU/kFreeBSD. (Closes: #734070)
  * Use Linux versions of ck-system-restart and ck-system-stop on GNU/kFreeBSD.

 -- Robert Millan <rmh@debian.org>  Wed, 19 Feb 2014 00:27:27 +0100

consolekit (0.4.6-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Sep 2013 23:08:34 +0200

consolekit (0.4.6-2) experimental; urgency=low

  * Acknowledge non-maintainer upload, thanks Christoph and Petr.

 -- Michael Biebl <biebl@debian.org>  Fri, 19 Jul 2013 19:33:04 +0200

consolekit (0.4.6-1) experimental; urgency=low

  * New upstream release.
  * Track .xz tarballs instead of .gz.
  * Remove patches which are now applied upstream.
  * Enable support for udev-acl which has been removed from udev.
  * Add necessary Breaks/Replaces for udev.

 -- Michael Biebl <biebl@debian.org>  Fri, 19 Jul 2013 16:47:42 +0200
