=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: consolekit
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Maintainer: Robert Millan <rmh@debian.org>
+Build-Depends: debhelper (>= 9),
  autotools-dev,
  pkg-config,
  libdbus-glib-1-dev (>= 0.30),
- libglib2.0-dev (>= 2.14.0),
+ libglib2.0-dev (>= 2.22.0),
+ libacl1-dev [linux-any],
+ libudev-dev [linux-any],
  libx11-dev (>= 1.0.0),
  libkvm-dev [kfreebsd-any],
  xmlto,
  libpam0g-dev,
  libpolkit-gobject-1-dev (>= 0.92),
  zlib1g-dev,
+ libbsd-dev (>= 0.3.0~) [kfreebsd-any],
  dh-autoreconf
-Standards-Version: 3.9.1
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/pkg-utopia/consolekit.git
 Vcs-Browser: http://git.debian.org/?p=pkg-utopia/consolekit.git;a=summary
 Homepage: http://www.freedesktop.org/wiki/Software/ConsoleKit
@@ -23,9 +25,10 @@
 Package: consolekit
 Section: admin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dbus (>= 1.1.2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libck-connector0 (= ${binary:Version}), dbus (>= 1.1.2)
 Recommends: libpam-ck-connector
-Breaks: udev (<< 147)
+Breaks: udev (<< 204-1)
+Replaces: udev (<< 204-1)
 Description: framework for defining and tracking users, sessions and seats
  ConsoleKit is a system daemon for tracking what users are logged
  into the system and how they interact with the computer (e.g.
@@ -38,6 +41,8 @@
 Package: libck-connector0
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: ConsoleKit libraries
  ConsoleKit is a system daemon for tracking what users are logged
@@ -61,7 +66,8 @@
 Package: libpam-ck-connector
 Section: admin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.0.1-6)
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}, libck-connector0 (= ${binary:Version}), libpam-runtime (>= 1.0.1-6)
 Description: ConsoleKit PAM module
  ConsoleKit is a system daemon for tracking what users are logged
  into the system and how they interact with the computer (e.g.
