=== debian/watch ===
version=3
http://www.freedesktop.org/software/ConsoleKit/dist/ConsoleKit-(.*)\.tar\.(?:bz2|xz)
